Page MenuHomePhabricator

Update gerrit to 2.12.5
Closed, ResolvedPublic

Description

The release notes are at

It fixes a few things.

The biggest fix for us is the diff. Since long lines can now be line wrapped through a pref setting. It improves diffs since sometimes the diff line was cut off if it was too long.

Next is T146350: Update gerrit to 2.13.3

Event Timeline

Paladox created this task.Aug 16 2016, 10:42 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 16 2016, 10:42 AM
Paladox triaged this task as Medium priority.Aug 16 2016, 10:42 AM
Paladox renamed this task from Update gerrit to 2.12.3 to Update gerrit to 2.12.4.Aug 16 2016, 10:45 AM
Paladox added a subscriber: demon.
Paladox added a comment.EditedAug 24 2016, 9:17 AM

@demon gerrit 2.12.4 has been released now.

Release notes

https://gerrit-documentation.storage.googleapis.com/ReleaseNotes/ReleaseNotes-2.12.4.html

War

https://www.gerritcodereview.com/download/gerrit-2.12.4.war

Can we upgrade to it please?

This update may have performance improvements when we upgrade. But only for the dashboard :)

This comment was removed by Paladox.

@demon hi, any update on this please?

Aklapper lowered the priority of this task from Medium to Low.Sep 14 2016, 12:53 PM

Lowering priority; not going to happen soon, I'd say.

I think we should not go with gerrit 2.12.4 but instead go with 2.12.5 when released. Since there Is a very bad bug that prevents any new emails from being processed which is fixed in gerrit 2.12.5.

When making statements please link to resources, always. Thanks.

Paladox renamed this task from Update gerrit to 2.12.4 to Update gerrit to 2.12.5.Sep 23 2016, 9:50 AM
Paladox updated the task description. (Show Details)

Gerrit 2.12.5 has been released so we can update to that release now.

Paladox updated the task description. (Show Details)Oct 12 2016, 7:58 AM
Paladox raised the priority of this task from Low to High.EditedOct 22 2016, 5:17 PM

Changing to high due to a recent finding we found, and to match the priority we given that task too.

Paladox updated the task description. (Show Details)Oct 24 2016, 9:03 PM

Change 317654 had a related patch set uploaded (by Chad):
gerrit (2.12.5-wmf.1) jessie-wikimedia; urgency=low

https://gerrit.wikimedia.org/r/317654

Change 317654 merged by Muehlenhoff:
gerrit (2.12.5-wmf.1) jessie-wikimedia; urgency=low

https://gerrit.wikimedia.org/r/317654

Paladox renamed this task from Update gerrit to 2.12.5 to Update gerrit to 2.12.6.EditedNov 8 2016, 8:53 AM
Paladox updated the task description. (Show Details)

@demon we should go with gerrit 2.12.6 instead as it was just released please?

We could always do 2.12.5 first and then 2.12.6 after

This task is about 2.12.5. Please do not change the scope of a task without arguments why.

Aklapper renamed this task from Update gerrit to 2.12.6 to Update gerrit to 2.12.5.Nov 8 2016, 1:14 PM
Aklapper updated the task description. (Show Details)

@Aklapper well 2.12.6 was just released so there's no point in upgrading to 2.12.5 if there's 2.12.6.

But we could upgrade to 2.12.5 and then to 2.12.6 since we built 2.12.5 already just need to upgrade gerrit.

well 2.12.6 was just released so there's no point in upgrading to 2.12.5 if there's 2.12.6.

That statement is too vague to be correct: Whether there is "no point" or not highly depends on the content of the ChangeLog.
See my previous comment: "Please do not change the scope of a task without arguments why."

hashar added a subscriber: hashar.Nov 8 2016, 3:35 PM

Just hold commenting on this task please. Lets wait for @demon :)

demon added a comment.Nov 8 2016, 10:20 PM

Meh, we've already got 2.12.5 packaged, so might as well install & upgrade. I'm not seeing anything super interesting from 2.12.6's release notes that's pressing an upgrade...

Tbh, I'd rather invest the time in moving to 2.13.x at this point so we can get the schema changes behind us.

@demon do you know when we will update to 2.12.5 please?

Mentioned in SAL (#wikimedia-operations) [2016-11-15T18:24:08Z] <ostriches> gerrit: bringing down for a minute or two for quick point upgrade, T143089

demon closed this task as Resolved.Nov 15 2016, 6:26 PM
demon claimed this task.